> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post usersaccept forum invitation

> Allows a User to be published to a Forum to which the user has been invited. The details
of which forum to which the User will be published are associated with the Link token that
is provided as an argument for this operation.

This operation requires a **Accept User Invitation Request** value with the following fields:

This operation returns a User Auth Response value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /users/accept-forum-invitation
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/accept-forum-invitation:
    post:
      tags:
        - UserService
      description: >-
        Allows a User to be published to a Forum to which the user has been
        invited. The details

        of which forum to which the User will be published are associated with
        the Link token that

        is provided as an argument for this operation.


        This operation requires a **Accept User Invitation Request** value with
        the following fields:


        This operation returns a User Auth Response value.
      operationId: acceptForumInvite
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  privateProfile: true
                  link: ...
            schema:
              $ref: '#/components/schemas/AcceptUserInvitationRequest'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    allowICS: true
                    customRules:
                      - description: ...
                        userRuleDefinitions:
                          - description: ...
                            languageTagKey: ...
                            name: ...
                            sysidUserCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                          - description: ...
                            languageTagKey: ...
                            name: ...
                            sysidUserCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                        languageTagKey: ...
                        sysidCustomExecutionPoint: 12345
                        name: ...
                        sysidCustomRuleType: 12345
                        venueRuleDefinitions:
                          - description: ...
                            languageTagKey: ...
                            sysidVenueCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                            name: ...
                          - description: ...
                            languageTagKey: ...
                            sysidVenueCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                            name: ...
                      - description: ...
                        userRuleDefinitions:
                          - description: ...
                            languageTagKey: ...
                            name: ...
                            sysidUserCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                          - description: ...
                            languageTagKey: ...
                            name: ...
                            sysidUserCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                        languageTagKey: ...
                        sysidCustomExecutionPoint: 12345
                        name: ...
                        sysidCustomRuleType: 12345
                        venueRuleDefinitions:
                          - description: ...
                            languageTagKey: ...
                            sysidVenueCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                            name: ...
                          - description: ...
                            languageTagKey: ...
                            sysidVenueCustomRuleDefinition: 12345
                            sysidAttributeDataType: 12345
                            name: ...
                    sysidApplication: 12345
                    accountName: ...
                    accountOwner: true
                    sysidAccount: 12345
                    userData:
                      firstName: ...
                      sysidRole: 12345
                      sysidApplicationUser: 12345
                      defaultChargeCode: ...
                      userAuthRules:
                        - sysidAuthorizationRule: 12345
                        - sysidAuthorizationRule: 12345
                      reservationSpendingLimit: 12345
                      sysidDefaultLocation: 12345
                      preferences:
                        - value: ...
                          key: ...
                          comment: ...
                        - value: ...
                          key: ...
                          comment: ...
                      preferredName: ...
                      authToken: ...
                      middleInitial: ...
                      maxFutureReservationDays: 12345
                      sysidDefaultResCategory: 12345
                      lastName: ...
                      sysidDefaultResType: 12345
                      sysidLanguage: 12345
                      sysidHomeLocation: 12345
                    forumList:
                      - visited: true
                        homeForum: true
                        sysid: 12345
                        name: ...
                      - visited: true
                        homeForum: true
                        sysid: 12345
                        name: ...
                    appName: ...
              schema:
                $ref: '#/components/schemas/UserAuthResponse'
          description: UserPublishedData value
components:
  schemas:
    AcceptUserInvitationRequest:
      type: object
      title: AcceptUserInvitationRequest
      required:
        - privateProfile
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            privateProfile:
              type: boolean
            link:
              type: string
      example:
        privateProfile: true
        link: ...
    UserAuthResponse:
      type: object
      title: UserAuthResponse
      required:
        - allowICS
        - accountOwner
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            allowICS:
              type: boolean
            customRules:
              type: array
              items:
                $ref: '#/components/schemas/CustomRuleData'
            sysidApplication:
              type: integer
              format: int32
            accountName:
              type: string
            accountOwner:
              type: boolean
            sysidAccount:
              type: integer
              format: int32
            userData:
              $ref: '#/components/schemas/UserAuthData'
            forumList:
              type: array
              items:
                $ref: '#/components/schemas/UserPublishedForum'
            appName:
              type: string
      example:
        allowICS: true
        customRules:
          - description: ...
            userRuleDefinitions:
              - description: ...
                languageTagKey: ...
                name: ...
                sysidUserCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
              - description: ...
                languageTagKey: ...
                name: ...
                sysidUserCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
            languageTagKey: ...
            sysidCustomExecutionPoint: 12345
            name: ...
            sysidCustomRuleType: 12345
            venueRuleDefinitions:
              - description: ...
                languageTagKey: ...
                sysidVenueCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
                name: ...
              - description: ...
                languageTagKey: ...
                sysidVenueCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
                name: ...
          - description: ...
            userRuleDefinitions:
              - description: ...
                languageTagKey: ...
                name: ...
                sysidUserCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
              - description: ...
                languageTagKey: ...
                name: ...
                sysidUserCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
            languageTagKey: ...
            sysidCustomExecutionPoint: 12345
            name: ...
            sysidCustomRuleType: 12345
            venueRuleDefinitions:
              - description: ...
                languageTagKey: ...
                sysidVenueCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
                name: ...
              - description: ...
                languageTagKey: ...
                sysidVenueCustomRuleDefinition: 12345
                sysidAttributeDataType: 12345
                name: ...
        sysidApplication: 12345
        accountName: ...
        accountOwner: true
        sysidAccount: 12345
        userData:
          firstName: ...
          sysidRole: 12345
          sysidApplicationUser: 12345
          defaultChargeCode: ...
          userAuthRules:
            - sysidAuthorizationRule: 12345
            - sysidAuthorizationRule: 12345
          reservationSpendingLimit: 12345
          sysidDefaultLocation: 12345
          preferences:
            - value: ...
              key: ...
              comment: ...
            - value: ...
              key: ...
              comment: ...
          preferredName: ...
          authToken: ...
          middleInitial: ...
          maxFutureReservationDays: 12345
          sysidDefaultResCategory: 12345
          lastName: ...
          sysidDefaultResType: 12345
          sysidLanguage: 12345
          sysidHomeLocation: 12345
        forumList:
          - visited: true
            homeForum: true
            sysid: 12345
            name: ...
          - visited: true
            homeForum: true
            sysid: 12345
            name: ...
        appName: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    CustomRuleData:
      type: object
      title: CustomRuleData
      required:
        - sysidCustomExecutionPoint
        - sysidCustomRuleType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            userRuleDefinitions:
              type: array
              items:
                $ref: '#/components/schemas/UserCustomRuleDefinition'
            languageTagKey:
              type: string
            sysidCustomExecutionPoint:
              type: integer
              format: int32
            name:
              type: string
            sysidCustomRuleType:
              type: integer
              format: int32
            venueRuleDefinitions:
              type: array
              items:
                $ref: '#/components/schemas/VenueCustomRuleDefinition'
      example:
        description: ...
        userRuleDefinitions:
          - description: ...
            languageTagKey: ...
            name: ...
            sysidUserCustomRuleDefinition: 12345
            sysidAttributeDataType: 12345
          - description: ...
            languageTagKey: ...
            name: ...
            sysidUserCustomRuleDefinition: 12345
            sysidAttributeDataType: 12345
        languageTagKey: ...
        sysidCustomExecutionPoint: 12345
        name: ...
        sysidCustomRuleType: 12345
        venueRuleDefinitions:
          - description: ...
            languageTagKey: ...
            sysidVenueCustomRuleDefinition: 12345
            sysidAttributeDataType: 12345
            name: ...
          - description: ...
            languageTagKey: ...
            sysidVenueCustomRuleDefinition: 12345
            sysidAttributeDataType: 12345
            name: ...
    UserAuthData:
      type: object
      title: UserAuthData
      required:
        - sysidRole
        - maxFutureReservationDays
        - sysidLanguage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            firstName:
              type: string
            sysidRole:
              type: integer
              format: int32
            sysidApplicationUser:
              type: integer
              format: int32
            defaultChargeCode:
              type: string
            userAuthRules:
              type: array
              items:
                $ref: '#/components/schemas/UserAuthRule'
            reservationSpendingLimit:
              type: integer
              format: int32
            sysidDefaultLocation:
              type: integer
              format: int32
            preferences:
              type: array
              items:
                $ref: '#/components/schemas/UserPreferencesData'
            preferredName:
              type: string
            authToken:
              type: string
            middleInitial:
              type: string
            maxFutureReservationDays:
              type: integer
              format: int32
            sysidDefaultResCategory:
              type: integer
              format: int32
            lastName:
              type: string
            sysidDefaultResType:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            sysidHomeLocation:
              type: integer
              format: int32
      example:
        firstName: ...
        sysidRole: 12345
        sysidApplicationUser: 12345
        defaultChargeCode: ...
        userAuthRules:
          - sysidAuthorizationRule: 12345
          - sysidAuthorizationRule: 12345
        reservationSpendingLimit: 12345
        sysidDefaultLocation: 12345
        preferences:
          - value: ...
            key: ...
            comment: ...
          - value: ...
            key: ...
            comment: ...
        preferredName: ...
        authToken: ...
        middleInitial: ...
        maxFutureReservationDays: 12345
        sysidDefaultResCategory: 12345
        lastName: ...
        sysidDefaultResType: 12345
        sysidLanguage: 12345
        sysidHomeLocation: 12345
    UserPublishedForum:
      type: object
      title: UserPublishedForum
      required:
        - visited
        - homeForum
        - sysid
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            visited:
              type: boolean
            homeForum:
              type: boolean
            sysid:
              type: integer
              format: int32
            name:
              type: string
      example:
        visited: true
        homeForum: true
        sysid: 12345
        name: ...
    UserCustomRuleDefinition:
      type: object
      title: UserCustomRuleDefinition
      required:
        - sysidUserCustomRuleDefinition
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            languageTagKey:
              type: string
            name:
              type: string
            sysidUserCustomRuleDefinition:
              type: integer
              format: int32
            sysidAttributeDataType:
              type: integer
              format: int32
      example:
        description: ...
        languageTagKey: ...
        name: ...
        sysidUserCustomRuleDefinition: 12345
        sysidAttributeDataType: 12345
    VenueCustomRuleDefinition:
      type: object
      title: VenueCustomRuleDefinition
      required:
        - sysidVenueCustomRuleDefinition
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            languageTagKey:
              type: string
            sysidVenueCustomRuleDefinition:
              type: integer
              format: int32
            sysidAttributeDataType:
              type: integer
              format: int32
            name:
              type: string
      example:
        description: ...
        languageTagKey: ...
        sysidVenueCustomRuleDefinition: 12345
        sysidAttributeDataType: 12345
        name: ...
    UserAuthRule:
      type: object
      title: UserAuthRule
      required:
        - sysidAuthorizationRule
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAuthorizationRule:
              type: integer
              format: int32
      example:
        sysidAuthorizationRule: 12345
    UserPreferencesData:
      type: object
      title: UserPreferencesData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            value:
              type: string
            key:
              type: string
            comment:
              type: string
      example:
        value: ...
        key: ...
        comment: ...

````